Package org.apache.catalina.util

## Class ServerInfo

- java.lang.Object
- - org.apache.catalina.util.ServerInfo

-     public class ServerInfo
      extends java.lang.Object

  Simple utility module to make it easy to plug in the server identifier when integrating Tomcat.
  Author:
    Craig R. McClanahan

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerInfo()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getServerBuilt()` |
    `static java.lang.String` | `getServerInfo()` |
    `static java.lang.String` | `getServerNumber()` |
    `static void` | `main​(java.lang.String[] args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerInfo

          public ServerInfo()

  - ### Method Detail

    - #### getServerInfo

          public static java.lang.String getServerInfo()

      Returns:
        the server identification for this version of Tomcat.

    - #### getServerBuilt

          public static java.lang.String getServerBuilt()

      Returns:
        the server built time for this version of Tomcat.

    - #### getServerNumber

          public static java.lang.String getServerNumber()

      Returns:
        the server's version number.

    - #### main

          public static void main​(java.lang.String[] args)